<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_READ)">
    <div class="ui grid">
      <div class="three wide column">
        <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACTS}}, 
                                                                 icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_CONTRACTS}, 
                                                                 url = null)" 
                                                                 />
      </div>
      <div class="thirteen wide column">
        <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_CREATE)">
          <a class="ui icon small basic button right floated" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_CONTRACTS_CREATE}}">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
          </a>
        </th:block>
        <button class="ui small basic grey icon filter button flowing right floated" onclick="filter()">
          <i class="filter icon"></i>
          <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FILTER}}"></span>
        </button>
      </div>
    </div>
    <br />
    <div th:fragment="contracts" id="contracts">
      <div class="ui two stackable cards">
        <th:block th:each="item : ${contracts}">
          <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)">
            <div class="ui card" th:replace="common/fragments/elements :: contract(item = ${item})"></div>
          </th:block>
          <th:block sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_CONTRACTS_UPDATE)" th:if="${item.status.name == 'Open'}">
            <div class="ui card" th:replace="common/fragments/elements :: contract(item = ${item})"></div>
          </th:block>
        </th:block>
      </div>
    </div>
    <div th:replace="common/fragments/modal :: modal(small, middle)"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CONTRACTS_JS}}"></script>
</body>
</html>